Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063850 - Move ipa-otpd socket directory
Summary: Move ipa-otpd socket directory
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Martin Kosek
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks: 1063905
TreeView+ depends on / blocked
 
Reported: 2014-02-11 14:28 UTC by Dmitri Pal
Modified: 2014-06-18 00:14 UTC (History)
2 users (show)

Fixed In Version: ipa-3.3.3-18.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1063905 (view as bug list)
Environment:
Last Closed: 2014-06-13 10:37:42 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Dmitri Pal 2014-02-11 14:28:21 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/4167

Upstream has changed the default OTP socket search directory:
https://github.com/krb5/krb5/pull/45

This code will be available in 1.13 by default. We will probably update this change in krb5 1.12 (and maybe 1.11). FreeIPA will need to respect this default. And any update in krb5 which makes this change needs to be synchronized with FreeIPA.

Comment 1 Martin Kosek 2014-02-11 16:38:09 UTC
Fixed upstream:
master: https://fedorahosted.org/freeipa/changeset/6c500ccf05103566ca888bc8d67187ab81621328

Comment 2 Martin Kosek 2014-02-11 16:53:04 UTC
As discussed in a triage meeting, this Bugzilla shall be tested as sanity only. It is a forward looking precaution, to avoid this backwards incompatible change after 7.0.

Comment 4 Scott Poore 2014-02-14 16:09:17 UTC
Verified.

Version ::

ipa-server-3.3.3-18.el7.x86_64

Results ::

After an IPA server is installed, I see the new location:

[root@nu5 run]# ls -ld /run/krb5kdc/DEFAULT.socket 
srw-------. 1 root root 0 Feb 14 10:31 /run/krb5kdc/DEFAULT.socket

Comment 5 Ludek Smid 2014-06-13 10:37:42 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.